Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class CatalogItemKey

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.catalog.CatalogItemKey

Direct Known Subclasses:
  CategoryKey, ProductItemKey

public class CatalogItemKey
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable, java.lang.Cloneable

This class is the base class for keys used to look-up CatalogItems (Products and Categories).

See Also:
  `ProductItemKey`, `CategoryKey`, Serialized Form

Constructor Summary
`CatalogItemKey()` Default constructor.
`CatalogItemKey(java.lang.String identifier)` Class constructor.

Method Summary
`java.lang.Object` | `clone()` clone implementation for CatalogItemKeys.
`int` | `compareTo(java.lang.Object key)` compareTo for the Comparable interface
`boolean` | `equals(java.lang.Object key)` compareTo for the Comparable interface
`java.lang.String` | `getIdentifier()` Get the key identifier.
`int` | `hashCode()`
`java.lang.String` | `toString()` Builds a string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CatalogItemKey

    public CatalogItemKey()

  Default constructor.

### CatalogItemKey

    public CatalogItemKey(java.lang.String identifier)

  Class constructor.

  Parameters:
    `identifier` - A `CatalogItem` identifier.

Method Detail

### equals

    public boolean equals(java.lang.Object key)

  compareTo for the Comparable interface

  Overrides:
    equals in class java.lang.Object

### compareTo

    public int compareTo(java.lang.Object key)

  compareTo for the Comparable interface
  Specified by:
    compareTo in interface java.lang.Comparable

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### getIdentifier

    public java.lang.String getIdentifier()

  Get the key identifier.

  Returns:
    identifier.

### clone

    public java.lang.Object clone()

  clone implementation for CatalogItemKeys.

  Returns:
    copy of this key.
  Overrides:
    clone in class java.lang.Object

### toString

    public java.lang.String toString()

  Builds a string representation of this object.

  Returns:
    the string
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved